Bug 234163 - science/py-scikit-learn: Update to 0.20.2
Summary: science/py-scikit-learn: Update to 0.20.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks: 233770
  Show dependency treegraph
 
Reported: 2018-12-19 16:10 UTC by Ruslan Makhmatkhanov
Modified: 2018-12-23 01:09 UTC (History)
2 users (show)

See Also:
demon: maintainer-feedback+
koobs: merge-quarterly-


Attachments
0.20.2 update (857 bytes, patch)
2018-12-19 16:10 UTC, Ruslan Makhmatkhanov
no flags Details | Diff
buildlog (381.23 KB, text/plain)
2018-12-19 16:11 UTC, Ruslan Makhmatkhanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ruslan Makhmatkhanov freebsd_committer 2018-12-19 16:10:53 UTC
Created attachment 200267 [details]
0.20.2 update

update to 0.20.2

this release fixing build with python3.7 (c-sources were regenerated upstream with compatible cython version).
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2018-12-19 16:11:33 UTC
Created attachment 200268 [details]
buildlog
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2018-12-19 16:12:31 UTC
upstream bug reference:
https://github.com/scikit-learn/scikit-learn/issues/12671
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2018-12-19 16:13:03 UTC
link to #233770
Comment 4 commit-hook freebsd_committer 2018-12-20 13:13:10 UTC
A commit references this bug:

Author: rm
Date: Thu Dec 20 13:12:32 UTC 2018
New revision: 487881
URL: https://svnweb.freebsd.org/changeset/ports/487881

Log:
  science/py-scikit-learn: update to 0.20.2

  This release fixes build with python3.7.

  Relevant upstream bug report:
  https://github.com/scikit-learn/scikit-learn/issues/12671

  PR:		234163
  Approved by:	demon (maintainer)

Changes:
  head/science/py-scikit-learn/Makefile
  head/science/py-scikit-learn/distinfo
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-21 02:15:52 UTC
(In reply to commit-hook from comment #4)

Should this be merged? It sounds like This port would be broken in quarterly with Python 3.7 too
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2018-12-21 09:32:11 UTC
yep, will do that later this day
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-21 09:34:06 UTC
(In reply to Ruslan Makhmatkhanov from comment #6)

Thanks!
Comment 8 Ruslan Makhmatkhanov freebsd_committer 2018-12-22 13:49:54 UTC
(In reply to Kubilay Kocak from comment #7)
Actually, in 2018Q4 we have version 0.19.2 of scikit-learn, that's not affected to this breakage. Incompatible change was introduced into 0.20.1.

So I think it's not deserves mfh. New version will be rolled automatically in 2019Q1 soon anyway.